- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_client_t

# mongoc_client_find_databases_with_opts()

## Synopsis

    mongoc_cursor_t *
    mongoc_client_find_databases_with_opts (mongoc_client_t *client,
                                            const bson_t *opts);

Fetches a cursor containing documents, each corresponding to a database on this MongoDB server.

## Parameters

- `client`: A mongoc_client_t.
- `opts`: A `bson_t` containing additional options.

## Errors

Use mongoc_cursor_error() on the returned cursor to check for errors.

## Returns

A cursor where each result corresponds to the server’s representation of a database.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.